Cancels a completed order.
Required scope: write_orders (for API-key authentication).
PATCH
/
api
/
v3
/
admin
/
orders
/
{id}
/
cancel
Spree Admin SDK
import { createAdminClient } from '@spree/admin-sdk'
const client = createAdminClient({
baseUrl: 'https://your-store.com',
secretKey: 'sk_xxx',
})
const order = await client.orders.cancel('or_UkLWZg9DAJ'){
"id": "or_UkLWZg9DAJ",
"market_id": null,
"channel_id": "ch_UkLWZg9DAJ",
"number": "R710028424",
"email": "tam_erdman@effertz.info",
"customer_note": null,
"currency": "USD",
"locale": "en",
"total_quantity": 1,
"item_total": "10.0",
"display_item_total": "$10.00",
"adjustment_total": "0.0",
"display_adjustment_total": "$0.00",
"discount_total": "0.0",
"display_discount_total": "$0.00",
"tax_total": "0.0",
"display_tax_total": "$0.00",
"included_tax_total": "0.0",
"display_included_tax_total": "$0.00",
"additional_tax_total": "0.0",
"display_additional_tax_total": "$0.00",
"total": "20.0",
"display_total": "$20.00",
"gift_card_total": "0.0",
"display_gift_card_total": "$0.00",
"amount_due": "-0.0",
"display_amount_due": "$0.00",
"delivery_total": "10.0",
"display_delivery_total": "$10.00",
"fulfillment_status": "canceled",
"payment_status": "void",
"completed_at": "2026-06-17T13:37:27.418Z",
"store_credit_total": "0.0",
"display_store_credit_total": "$0.00",
"covered_by_store_credit": false,
"gift_card": null,
"market": null,
"status": "canceled",
"last_ip_address": null,
"considered_risky": false,
"confirmation_delivered": false,
"store_owner_notification_delivered": null,
"payment_total": "0.0",
"display_payment_total": "$0.00",
"metadata": {},
"canceled_at": "2026-06-17T13:37:27.705Z",
"approved_at": null,
"created_at": "2026-06-17T13:37:27.363Z",
"updated_at": "2026-06-17T13:37:27.746Z",
"preferred_stock_location_id": null,
"tags": [],
"internal_note": null,
"approver_id": null,
"canceler_id": "admin_UkLWZg9DAJ",
"created_by_id": null,
"customer_id": "cus_UkLWZg9DAJ"
}Authorizations
Secret API key for admin access
JWT token for admin user authentication
Headers
Bearer token for admin authentication
Path Parameters
Order ID
Response
200 - application/json
order canceled
Was this page helpful?
⌘I
Spree Admin SDK
import { createAdminClient } from '@spree/admin-sdk'
const client = createAdminClient({
baseUrl: 'https://your-store.com',
secretKey: 'sk_xxx',
})
const order = await client.orders.cancel('or_UkLWZg9DAJ'){
"id": "or_UkLWZg9DAJ",
"market_id": null,
"channel_id": "ch_UkLWZg9DAJ",
"number": "R710028424",
"email": "tam_erdman@effertz.info",
"customer_note": null,
"currency": "USD",
"locale": "en",
"total_quantity": 1,
"item_total": "10.0",
"display_item_total": "$10.00",
"adjustment_total": "0.0",
"display_adjustment_total": "$0.00",
"discount_total": "0.0",
"display_discount_total": "$0.00",
"tax_total": "0.0",
"display_tax_total": "$0.00",
"included_tax_total": "0.0",
"display_included_tax_total": "$0.00",
"additional_tax_total": "0.0",
"display_additional_tax_total": "$0.00",
"total": "20.0",
"display_total": "$20.00",
"gift_card_total": "0.0",
"display_gift_card_total": "$0.00",
"amount_due": "-0.0",
"display_amount_due": "$0.00",
"delivery_total": "10.0",
"display_delivery_total": "$10.00",
"fulfillment_status": "canceled",
"payment_status": "void",
"completed_at": "2026-06-17T13:37:27.418Z",
"store_credit_total": "0.0",
"display_store_credit_total": "$0.00",
"covered_by_store_credit": false,
"gift_card": null,
"market": null,
"status": "canceled",
"last_ip_address": null,
"considered_risky": false,
"confirmation_delivered": false,
"store_owner_notification_delivered": null,
"payment_total": "0.0",
"display_payment_total": "$0.00",
"metadata": {},
"canceled_at": "2026-06-17T13:37:27.705Z",
"approved_at": null,
"created_at": "2026-06-17T13:37:27.363Z",
"updated_at": "2026-06-17T13:37:27.746Z",
"preferred_stock_location_id": null,
"tags": [],
"internal_note": null,
"approver_id": null,
"canceler_id": "admin_UkLWZg9DAJ",
"created_by_id": null,
"customer_id": "cus_UkLWZg9DAJ"
}
